Elektroda.pl
Elektroda.pl
X
Proszę, dodaj wyjątek www.elektroda.pl do Adblock.
Dzięki temu, że oglądasz reklamy, wspierasz portal i użytkowników.

BLE - Bluetooth 2.0 / 4.0

tomrak 30 Sty 2015 10:49 1311 3
  • #1 30 Sty 2015 10:49
    tomrak
    Poziom 8  

    Dzień dobry.

    Zbudowałem prosty sterownik, wykorzystujący moduł Bluetooth HM-05. Świetnie działa z Androidem 4.1.2. Tyle, że iPhone 4 nie widzi tego modułu... Szukałem, czytałem i dla iPhone trzeba zastosować moduł obsługujący BLE, czyli Bluetooth 4.0, np HM-10. Na Androidach, BLE (Bluetooth 4.0), jest wspierane dopiero od wersji 4.3. Jednocześnie taki moduł (BT4.0), nie wspiera starszych wersji BT.

    Czy dobrze rozumiem, że aby zbudować urządzenie, które będzie mogło współpracować jednocześnie z Androidem 4.1.2, 4.3, oraz iPhonem, powinienem zastosować dwa moduły Bluetooth? Czy naprawdę nie ma uniwersalnych modułów BT, wspierających zarówno BT2.0, i BT4.0?

    Czy ma ktoś doświadczenia w tej kwestii?


    Pozdrawiam serdecznie,
    Tomek

    0 3
  • #2 30 Sty 2015 11:03
    michalko12
    Specjalista - Mikrokontrolery

    Są wersje dual mode
    HM-13

    0
  • #4 30 Sty 2015 18:09
    TvWidget
    Poziom 31  

    Standard 4.0 jest kompatybilny w dół. Zawiera wszytko co było w BT2.1 i dodatkowo BLE.
    Nie jest prawdą, że urządzenie z Androidem 4.3 nie obsługuje BT2.1. Co najwyżej może nie działać jakaś aplikacja. W nowszych wersjach sytemu zwykle nie ma już profilu SPP (portu szeregowego przez BT). Być może to jest przyczyną problemu. Stare programy często nie radzą sobie z taką sytuacją. Zamiana modułu BT na tzw. dual mode nic nie zmieni.

    0